summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/ap/sqlite/sqlite.SlackBuild13
-rw-r--r--source/k/kernel-configs/config-generic-6.1.49 (renamed from source/k/kernel-configs/config-generic-6.1.48)2
-rw-r--r--source/k/kernel-configs/config-generic-6.1.49.x64 (renamed from source/k/kernel-configs/config-generic-6.1.48.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-6.1.49-smp (renamed from source/k/kernel-configs/config-generic-smp-6.1.48-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-6.1.49 (renamed from source/k/kernel-configs/config-huge-6.1.48)2
-rw-r--r--source/k/kernel-configs/config-huge-6.1.49.x64 (renamed from source/k/kernel-configs/config-huge-6.1.48.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-6.1.49-smp (renamed from source/k/kernel-configs/config-huge-smp-6.1.48-smp)2
-rwxr-xr-xsource/l/libedit/libedit.SlackBuild2
-rw-r--r--source/l/libedit/libedit.gcc13.diff10
-rw-r--r--source/n/FTBFSlog3
-rw-r--r--source/n/openssh/cb4ed12ffc332d1f72d054ed92655b5f1c38f621.patch23
-rwxr-xr-xsource/n/openssh/openssh.SlackBuild3
-rwxr-xr-xsource/x/m17n-lib/m17n-lib.SlackBuild2
13 files changed, 58 insertions, 10 deletions
diff --git a/source/ap/sqlite/sqlite.SlackBuild b/source/ap/sqlite/sqlite.SlackBuild
index 07e26ad95..c5bc54a19 100755
--- a/source/ap/sqlite/sqlite.SlackBuild
+++ b/source/ap/sqlite/sqlite.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for sqlite
# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
-# Copyright 2008, 2009, 2010, 2012, 2015, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sqlite
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# First, convert the .zip file if needed:
if ls *.zip 1> /dev/null 2> /dev/null ; then
@@ -153,15 +153,22 @@ LDFLAGS="$(icu-config --ldflags)" \
--enable-fts3 \
--enable-fts4 \
--enable-fts5 \
- --enable-json \
--enable-rtree \
--enable-session \
--enable-static=no \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
+
+make \
+ sqldiff \
+ sqlite3_analyzer || exit 1
+
make install DESTDIR=$PKG || exit 1
+install -m755 sqldiff sqlite3_analyzer \
+ $PKG/usr/bin/
+
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
diff --git a/source/k/kernel-configs/config-generic-6.1.48 b/source/k/kernel-configs/config-generic-6.1.49
index 6725413e2..b7f526eb9 100644
--- a/source/k/kernel-configs/config-generic-6.1.48
+++ b/source/k/kernel-configs/config-generic-6.1.49
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-6.1.48.x64 b/source/k/kernel-configs/config-generic-6.1.49.x64
index 4a6f15990..634484e04 100644
--- a/source/k/kernel-configs/config-generic-6.1.48.x64
+++ b/source/k/kernel-configs/config-generic-6.1.49.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-generic-smp-6.1.48-smp b/source/k/kernel-configs/config-generic-smp-6.1.49-smp
index 62895828b..00d4c7f63 100644
--- a/source/k/kernel-configs/config-generic-smp-6.1.48-smp
+++ b/source/k/kernel-configs/config-generic-smp-6.1.49-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-6.1.48 b/source/k/kernel-configs/config-huge-6.1.49
index a3ecee096..74a0e7d9e 100644
--- a/source/k/kernel-configs/config-huge-6.1.48
+++ b/source/k/kernel-configs/config-huge-6.1.49
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-6.1.48.x64 b/source/k/kernel-configs/config-huge-6.1.49.x64
index 7c5840daf..8378e18bc 100644
--- a/source/k/kernel-configs/config-huge-6.1.48.x64
+++ b/source/k/kernel-configs/config-huge-6.1.49.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/k/kernel-configs/config-huge-smp-6.1.48-smp b/source/k/kernel-configs/config-huge-smp-6.1.49-smp
index 2c10b91df..56076d78d 100644
--- a/source/k/kernel-configs/config-huge-smp-6.1.48-smp
+++ b/source/k/kernel-configs/config-huge-smp-6.1.49-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 6.1.48 Kernel Configuration
+# Linux/x86 6.1.49 Kernel Configuration
#
CONFIG_CC_VERSION_TEXT="gcc (GCC) 13.2.0"
CONFIG_CC_IS_GCC=y
diff --git a/source/l/libedit/libedit.SlackBuild b/source/l/libedit/libedit.SlackBuild
index 42c57c319..d933273d8 100755
--- a/source/l/libedit/libedit.SlackBuild
+++ b/source/l/libedit/libedit.SlackBuild
@@ -86,6 +86,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/libedit.gcc13.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/l/libedit/libedit.gcc13.diff b/source/l/libedit/libedit.gcc13.diff
new file mode 100644
index 000000000..3aafa5869
--- /dev/null
+++ b/source/l/libedit/libedit.gcc13.diff
@@ -0,0 +1,10 @@
+--- ./src/chartype.c.orig 2023-08-27 02:25:53.000000000 -0500
++++ ./src/chartype.c 2023-08-27 13:17:18.337763075 -0500
+@@ -34,6 +34,7 @@
+ __RCSID("$NetBSD: chartype.c,v 1.37 2023/08/10 20:38:00 mrg Exp $");
+ #endif /* not lint && not SCCSID */
+
++#include <stdint.h>
+ #include <ctype.h>
+ #include <limits.h>
+ #include <stdlib.h>
diff --git a/source/n/FTBFSlog b/source/n/FTBFSlog
index ae2c4327a..1afd3c10e 100644
--- a/source/n/FTBFSlog
+++ b/source/n/FTBFSlog
@@ -1,3 +1,6 @@
+Sun Aug 27 18:13:06 UTC 2023
+ openssh: fix zlib version check. Thanks to nobodino and marav.
++--------------------------+
Mon May 1 23:45:40 UTC 2023
ncftp: add "CC=gcc \" before the configure block.
Thanks to nobodino.
diff --git a/source/n/openssh/cb4ed12ffc332d1f72d054ed92655b5f1c38f621.patch b/source/n/openssh/cb4ed12ffc332d1f72d054ed92655b5f1c38f621.patch
new file mode 100644
index 000000000..c86c68026
--- /dev/null
+++ b/source/n/openssh/cb4ed12ffc332d1f72d054ed92655b5f1c38f621.patch
@@ -0,0 +1,23 @@
+From cb4ed12ffc332d1f72d054ed92655b5f1c38f621 Mon Sep 17 00:00:00 2001
+From: Darren Tucker <dtucker@dtucker.net>
+Date: Sat, 19 Aug 2023 07:39:08 +1000
+Subject: [PATCH] Fix zlib version check for 1.3 and future version.
+
+bz#3604.
+---
+ configure.ac | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/configure.ac b/configure.ac
+index 07893e87065..e3128dfcbb4 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -1464,7 +1464,7 @@ else
+ [[
+ int a=0, b=0, c=0, d=0, n, v;
+ n = sscanf(ZLIB_VERSION, "%d.%d.%d.%d", &a, &b, &c, &d);
+- if (n != 3 && n != 4)
++ if (n < 1)
+ exit(1);
+ v = a*1000000 + b*10000 + c*100 + d;
+ fprintf(stderr, "found zlib version %s (%d)\n", ZLIB_VERSION, v);
diff --git a/source/n/openssh/openssh.SlackBuild b/source/n/openssh/openssh.SlackBuild
index 275d2558a..16ade27e6 100755
--- a/source/n/openssh/openssh.SlackBuild
+++ b/source/n/openssh/openssh.SlackBuild
@@ -86,6 +86,9 @@ chown -R root:root .
# Restore support for tcpwrappers:
zcat $CWD/openssh.tcp_wrappers.diff.gz | patch -p1 --verbose || exit 1
+# Fix zlib version check:
+cat $CWD/cb4ed12ffc332d1f72d054ed92655b5f1c38f621.patch | patch -p1 --verbose || exit 1
+
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
PAM_OPTIONS="--with-pam --with-kerberos5"
diff --git a/source/x/m17n-lib/m17n-lib.SlackBuild b/source/x/m17n-lib/m17n-lib.SlackBuild
index 52bf5638d..11136cbb6 100755
--- a/source/x/m17n-lib/m17n-lib.SlackBuild
+++ b/source/x/m17n-lib/m17n-lib.SlackBuild
@@ -36,7 +36,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=m17n-lib
SHORTNAM=m17n
-VERSION=${VERSION:-1.8.3}
+VERSION=${VERSION:-1.8.4}
DBVERSION=${DBVERSION:-1.8.3}
BUILD=${BUILD:-1}